aubio: spectral/dct.h File Reference

aubio 0.4.9

Loading...
Searching...
No Matches
Typedefs | Functions
dct.h File Reference

Discrete Cosine Transform. More...

Go to the source code of this file.

## Typedefs
typedef struct _aubio_dct_t | aubio_dct_t
| DCT object.

## Functions
aubio_dct_t * | new_aubio_dct (uint_t size)
| create new DCT computation object
void | aubio_dct_do (aubio_dct_t *s, const fvec_t *input, fvec_t *dct_output)
| compute forward DCT
void | aubio_dct_rdo (aubio_dct_t *s, const fvec_t *input, fvec_t *idct_output)
| compute backward DCT
void | del_aubio_dct (aubio_dct_t *s)
| delete DCT object

## Detailed Description

Discrete Cosine Transform.

Functions aubio_dct_do() and aubio_dct_rdo() are equivalent to MATLAB/Octave dct() and idct() functions, as well as scipy.fftpack.dct(x, norm='ortho') and scipy.fftpack.idct(x, norm='ortho')

Definition in file dct.h.

## Typedef Documentation

## ◆ aubio_dct_t

typedef struct _aubio_dct_t aubio_dct_t

DCT object.

This object computes forward and backward DCT type 2 with orthonormal scaling.

Definition at line 46 of file dct.h.

## Function Documentation

## ◆ aubio_dct_do()

void aubio_dct_do | ( | aubio_dct_t * | s,
|  | const fvec_t * | input,
|  | fvec_t * | dct_output )

compute forward DCT

Parameters

  s | dct object as returned by new_aubio_dct
  input | input signal
  dct_output | transformed input array

Examples
  spectral/test-dct.c.

## ◆ aubio_dct_rdo()

void aubio_dct_rdo | ( | aubio_dct_t * | s,
|  | const fvec_t * | input,
|  | fvec_t * | idct_output )

compute backward DCT

Parameters

  s | dct object as returned by new_aubio_dct
  input | input signal
  idct_output | transformed input array

Examples
  spectral/test-dct.c.

## ◆ del_aubio_dct()

void del_aubio_dct | ( | aubio_dct_t * | s | ) |

delete DCT object

Parameters

  s | dct object as returned by new_aubio_dct

Examples
  spectral/test-dct.c.

## ◆ new_aubio_dct()

aubio_dct_t * new_aubio_dct | ( | uint_t | size | ) |

create new DCT computation object

Parameters

  size | length of the DCT

Examples
  spectral/test-dct.c.